<html><head><meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<meta http-equiv="Content-Language" content="en-gb">
<link rel="icon" href="./docs/hearthwell.png">
<link href="stylesheet.css" rel="stylesheet">
<title>Hearth Well</title></head>
<body>

<object style="border:0;padding=0;" width="90%" height="50px" type="text/html" data="navbar.html"></object>
<hr>

<table>
	<tr>
		<td>
			<img src="./docs/hearthwell.png" height="128px">
		</td>
		
		<td style="padding-left:32px">
			<h1>Hearth Well - A Minecraft Mod by Wolforce</h1>
			<p><a href="https://minecraft.curseforge.com/projects/hearth-well/files">Download Hearth Well for Minecraft 1.12</a></p>
			<p>A minecraft mod about never leaving your house,<br>
			but, through the building of machines, making every available item anyway.</p>
			<p>Also includes several lifestyle convenience, design enrichment and simply fun <br>
			blocks, items and multi-block to enrich the experience.</p>
			<table style="border-spacing: 0px;">
				<tr><span style="font-weight: bold;">Links:</span></tr>
				<tr><td>Curseforge:</td>
					<td><a href="https://minecraft.curseforge.com/projects/hearth-well">
					https://minecraft.curseforge.com/projects/hearth-well</a><br></tr></td>
				<tr><td>Discord:</td>
					<td><a href=" https://discord.gg/prpWgGu">
					https://discord.gg/prpWgGu</a></tr></td>
			</table>
		</td>
	</tr>
</table>
	
<div class="bordered">

<h2>Introduction</h2>
<p>
	Hearth Well is a mod about construction. Without leaving your house
	you will get the materials you need to build everything you want.
	Between crafting simple blocks and building multi-block structures,
	you will never be idle.
</p>
<p>
	The objectives of this mod are that you build the machines you need 
	(and hopefully have fun doing it) to give purpose to your home space,
	and that everything is as simple as possible, without complex GUI's or numbers,
	while still having enough diversity to keep you engaged to progress through the mod.
</p>
<p>
	To get started in Hearth Well you need two wooden pressure plates. Place one on each hand. Then, while looking directly up and sneaking, say a prayer to the gods containing the words "poor", "please", "send", "book", "gods", and smash the pressure plates together with right click! If the gods are merciful they will send you a book explaining the concepts of the mod. 
</p>

<img style="width: 100%" src="./docs/everything.jpg">

<br>
<br>
<h2>Main Progression</h2>
<p>In this page you will find most of the blocks and items required to progress 
through the mod, and will give you a general idea of how most crafting mechanics work.<br>
</p>

<table>
	<tr>
		<td align="center" colspan=2>
			<p>You are in a barren, uninhabited, flat stone world? Good. You'll make it yours.<br>
			The first items you're going to need require wood in a world of stone.<br>
			That's why you have that seed in your hand.<br>
			Hold the right button and point it at the floor to sprout life.<br>
			With wood you should be able to create this items:</p>
		</td>
	</tr>
	<tr>
		<td width="50%">
			<table>
				<tr>
					<td>
						<img src="./docs/heavy_ingot.png" width="64px">
					</td>
					<td>
						<h3>Heavy Ingot</h3> You'll need quite a few of these.<br>They will be with you for the rest of the journey on this place.
					</td>
				</tr>
			</table>
		</td>
		<td>
			<table>
				<tr>
					<td>
						<img src="./docs/empty_rod.png" width="64px">
						</td>
						<td>
						<h3>Empty Rod</h3>
						<p>One or two will be enough for now.<br>Hold right click to fill them with some mysterious life essence.</p>
					</td>
				</tr>
			</table>
		</td>
		
	</tr>
	<tr>
		<td align="center" colspan=2>
			You are now on your way to get everything you ever wanted. Bellow are some of the most important steps in progressing through the mod.
		</td>
	</tr>
</table>

<hr>
<table>
	<tr>
		<td width="50%" align="center">
		
			<table>
				<tr>
					<td align="center">
						<h3>The Crushing Block</h3>
						<p>This block will let you shatter materials <br>
						into its smaller components.</p>
					<td>
				</tr>
				<tr>
					<td align="center">
						<img src="./docs/crushing_block.gif" width="256px">
					<td>
				</tr>
			</table>
			
		</td>
		<td align="center">

			<table>
				<tr>
					<td align="center">
						<h3>Myst Dust</h3>
						<p>Can be multiplied by infusing (right clicking) grass with it and waiting.<br>
						This mysterious dust is the base for many items and blocks in this mod.</p>
					</td>
				</tr>
				<tr>
					<td align="center">
						<img src="./docs/myst_dust.gif" width="256px">
					</td>
				</tr>
			</table>
			
		</td>
	</tr>
</table>

<hr>

<table>
	<tr>
		<td width="50%" align="center">
			<h3>The Amplifying Tube</h3>
			<p>Will turn some objects beneath it into their amplified smelted counterpark.<br>
			It can turn stone into lava and mushy blocks into water.<br>
			Requires access to the sun on the top.</p>
		</td>
		<td align="center">
			<h3>The Freezer</h3>
			<p>Will freeze water into snow or ice, and lava into obsidian.<br>
			Has 2 radius and consumes 5 energy per operation.</p>
		</td>
	</tr>
	<tr>
		<td align="center">
			<table>
				<td>
					<img src="./docs/tube.gif" width="256px">
				</td><td>
					<img src="./docs/tube2.gif" width="256px">
				</td>
			</table>
		</td>
		<td align="center">
			<img src="./docs/freezer.png" width="256px">
		</td>
	</tr>
</table>

<hr>

<table>
	<tbody>
	<tr>
		<td align="center" colspan=2>
			<h3>The Power Crystal</h3>
			<p>Will provide energy to nearby machines.<br>
			Right click to place it in the world.<br>
			Will eventually need to be charged in a charger.</p>
		</td>
	</tr>
	<tr>
		<td>
			<p>
			Power Crystals require 3 parts to craft: the Nucleous, the Relay and the Screen.<br>
			 - Possible Nuclei:Snowball, Diamond, Mysterious Rod, Blaze Rod and Imprisoned Light.<br>
			 - Possible Relays: Stone, Quartz, Redstone, End Stone, Moonstone, Lapis, Azurite, Mystic Iron and Soulsteel.<br>
			 - Possible Screens: Glass, Scorch Glass, Crystal, Nether Crystal and Packed Ice.<br>
		</td><td>
			 The different parts will change the 3 traits: power, range and purity.<br>
			 - Power simply means more total Power available.<br>
			 - Range is also simply the range at which a Power Crystal can deliver power.<br>
			 - Purity affects power lost by distance. More purity means less power lost when charging a machine from a distance.
			</p>
		</td>
	</tr>
	<tr>
		<td align="center" colspan=2>
			<img src="./docs/power_crystals.png">
		</td>
	</tr>
</tbody></table>

<hr>

<table>
	<tr>
		<td width="50%">
			<h3>The Charger</h3>
			<p>Will charge Power Crystals that are in it.<br>
			Right click with a Power Crystal to insert it into the Charger.<br>
			Then throw items into it that can charge power crystals.<br>
			Some items will be consumed, others will have an output from the top.<br>
			The Charger requires a multi-block structure composed of Moonstone Blocks, Smooth Onyx Blocks, Crystal blocks and Mini gravity blocks.<br>
			Items that can charge a crystal:<br>
			 - Mysterious Dust<br>
			 - Mysterious Leaves<br>
			 - Mysterious rod<br>
			 - Bucket of Liquid Souls<br>
			 - Crystal Catalyst<br>
			 - Imprisoned Light<br>
			</p>
		</td>
		<td align="center" colspan=2>
			<img src="./docs/charger.gif" width="384px">
		</td>
	</tr>
</table>

<hr>

<table>
	<tr>
		<td width="50%">
			<h3>Crystal Shards</h3>
			<p>Different crystal shards are required for many items throughout the mod<br>
			but are easily obtained from mysterious trees.</p>
		</td>
		<td align="center" class="rightside">
			<img src="./docs/crystals.gif" width="384px">
		</td>
	</tr>
</table>

<hr>

<table>
	<tr>
		<td width="50%">
			<h3>Cores</h3>
			<p>Use the various shards (that you got from crushing
			crystals) on the cores to infuse them with that shard element.
			Then feed the infused core the required materials to transform it into something else.</p>
		</td>
		<td align="center" class="rightside">
			<img src="./docs/coring.gif" width="384px">
		</td>
	</tr>
</table>
<img src="./docs/coringtables.png" style="width: 100%">

<hr>

<table>
	<tr>
		<td width="50%">
			<h3>Displacers</h3>
			<p>Craft and use the Obsidian Displacer to get obsidian before having a
			diamond pickaxe. This lets you build the Nether Portal with no diamonds.</p>
		</td>
		<td align="center" class="rightside">
			<img src="./docs/obsidian_displacer.gif" width="384px">
		</td>
	</tr>
</table>

<hr>

<table>
	<tr>
		<td width="50%">
			<h3>Nether Crystal</h3>
			<p>Obtain them by sending your crystals through the nether portal.<br>
			Don't worry, they will not travel to the nether, and neither will you.</p>
		</td>
		<td align="center" class="rightside">
			<img src="./docs/crystal_passing.gif" width="384px">
		</td>
	</tr>
</table>

<hr>

<table>
	<tr>
		<td width="50%">
			<h3>Shard Picking</h3>
			<p>When short on a specific shard, the shard picking table, combined with a specific Shard Picker, will allow you to get shards directly from Mysterious Dust.<br>
			Each Mysterious Dust will be enough for three searches.<br>
			They will not, however, always yield a shard as a result, but keep trying.<br>
			Don't forget to repair the Shard Picker before it breaks.<br>
			Mysterious Dust can be directly hoppered into the table.</p>
		</td>
		<td align="center" class="rightside">
			<img src="./docs/picking.gif" width="384px">
		</td>
	</tr>
</table>

<hr>

<h1>The Multi-Block Machines</h1>


<table>
	<tr>
		<td width="50%">
			<h3>The Precision Grinder</h3>
			<p>
			A multi-block structure that allows you to grind your materials into other ones.
			Requires a Grinding Wheel to be inserted, but not all operations are available for every grinding wheel.<br>
			Be careful not to grind big stacks of materials or the grinder can jam and the grinding wheel can jump out.<br>
			In a more common world, the Precision Grinder can be used as an early form of resource multiplication
			as it will slightly increase the yield of mined ores.<br>
			Built with 4 Heavy Blocks, 9 Protection Blocks, 2 Slab lamps and the Precision Grinder Block.<br>
			Requires 12 Energy per Operation.
			</p>
		</td>
		<td width="50%">
			<table>
				<tr>
					<td align="center" height="256px">
							<img src="./docs/grinding_wheels.gif" width="250px">
					</td>
					<td align="center" height="256px">
							<img src="./docs/precision_grinder.gif" width="250px">
					</td>
				</tr>
			</table>
		</td>
	</tr>

	<tr>
		<td width="50%">
			<h3>The Heat Furnace</h3>
			<p>A multi-block structure that will
			cook and smelt without delay or consumption of materials.<br>
			Built with Heat Blocks, Protection Blocks, Amplifying Tubes, Lava in a line on the bottom (not in the sides!) and water in a line on top.<br>
			Requires no energy but will, however, sometimes consume some water from the top, especially when smelting bigger stacks.</p>
		</td>
		<td align="center" class="rightside">
			<img src="./docs/furnace.gif" width="384px">
		</td>
	</tr>

	<tr>
		<td width="50%">
			<h3>The Separator</h3>
			<p>
			A multi-block structure that allows you to divide complex constructions into its components.<br>
			The components will exit the machine in the various outputs.<br>
			Requires 25 Energy per Operation.</p>
		</td>
		<td align="center" class="rightside">
			<img src="./docs/separator.gif" width="384px">
		</td>
	</tr>

	<tr>
		<td>
			<h3>The Puller</h3>
			<p>A multi-block structure that pulls ores from the... well, from nothing really.<br>
			The higher you build it, the faster it pulls.<br>
			Built with Heat Blocks, Amplifying Tubes, fully charged Light Collectors, Heavy Protection Blocks and liquid souls in the middle.<br>
			Requires 50 Energy per Operation.</p>
		</td>
		<td align="center" class="rightside">
			<img src="./docs/puller.gif" width="384px">
		</td>
	</tr>
</table>

<hr>

<h2>Other Blocks, Items and Mechanics</h2>

<table>
	<tr>
		<td align="center">
			<img src="./docs/grav.gif" height="100px">
		</td>
		<td>
			<h3>The Gravity Block</h3>
			<p>Will pull objects to it in an small area.<br>
			Can stack with other Gravity Blocks to pull stronger, or to create a middle gravity point between various Gravity Blocks.
			The gravity has a 5 block square radius (11x11 area) and consumes no energy.</p>
		</td>
	</tr>
</table>

<table>
	<tr>
		<td align="center">
			<img src="./docs/antigrav.png">
		</td>
		<td>
			<h3>The Anti Gravity Block</h3>
			<p>Will create an area with a strong upwards force, similar to gravity
			players will feel like they have little control over they body while walking.
			Sneaking however, will allow them to thrust forward in the direction they pretend to go.<br>
			Notice that if you overlap Anti Gravity Areas, the upwards force will be too strong for players to control.<br>
			The anti gravity has a 5 block square radius (11x11 area) and consumes no energy.</p>
		</td>
	</tr>
</table>

<hr>

</div>

</body>
</html>
